<?php
/**
 * Created by PhpStorm.
 * User: Villatheme-Thanh
 * Date: 08-06-19
 * Time: 12:01 PM
 */

namespace WACVP\Inc\Settings;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class Update extends Admin_Settings {

	protected static $instance = null;

	public function __construct() {
	}

	public static function get_instance() {

		if ( null == self::$instance ) {
			self::$instance = new self;
		}

		return self::$instance;
	}

	public function setting_page() {
		?>
        <div id="" class="vi-ui bottom attached tab segment tab-admin" data-tab="update">
            <table class="wacv-table">
				<?php $this->text_option( 'update_key', esc_html__( "Auto update key", 'woo-abandoned-cart-recovery' ), '', false, '', '', 'villatheme-autoupdate-key-field' ); ?>
                <tr>
                    <td></td>
                    <td>
						<?php do_action( 'woocommerce-abandoned-cart-recovery_key' ); ?>
                        <p class="description"><?php echo sprintf( '%s %s. %s %s.',
		                        esc_html__( 'Please fill your key what you get from ', 'woo-abandoned-cart-recovery' ),
		                        wp_kses_post('<a target="_blank" href="https://villatheme.com/my-download">https://villatheme.com/my-download</a>'),
		                        esc_html__( 'See', 'woo-abandoned-cart-recovery' ),
		                        wp_kses_post('<a target="_blank" href="https://villatheme.com/knowledge-base/how-to-use-auto-update-feature/">' . esc_html__( 'guide', 'woo-abandoned-cart-recovery' ) . '</a>') ); ?>
                        </p>
                        <span class="vi-ui button green villatheme-get-key-button"
                              data-href="https://villatheme.com/villatheme-get-key/"
                              data-id="24089125"><?php echo esc_html__( 'Get Key', 'woo-abandoned-cart-recovery' ) ?></span>
                    </td>
                </tr>

            </table>
        </div>
		<?php
	}
}
